// ****************************************************************************
// Copyright (C) 2004  Alexandre Suaide
//
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//
// The Crate Controler Wiener-CC32 is not authorized for use as
// critical component in life support systems without the express
// written approval of ARW Elektronik Germany.
//
// Maintainer(s): Alexandre Suaide (suaide@if.usp.br)
//
// ****************************************************************************
#ifndef C111AT
#define C111AT
  
  #define AC_MAJOR 26
  #define CC_NAME "C111AT"
  #define CC_IRQ 9

  #define base         0x380
  #define GEO_port  (base)
  #define FNA_port  (base + 0x02)
  #define HB_W      (base + 0x04)
  #define LW_W      (base + 0x06)
  #define HB_R      (base + 0x08)
  #define LW_R      (base + 0x0A)
  #define BR_R      (base + 0x0C)
  #define S_mod_W   (base + 0x0E)
  #define S_mod_R   (base + 0x10)
  #define R_S       (base + 0x12)
  #define Crate_C   (base + 0x14)
  #define Crate_Z   (base + 0x16)
  #define Crate_on  (base + 0x18)
  #define Crate_off (base + 0x1A)
    
#endif







