#include "defines.h"
#include "labels.h"

void  dump(char*);
void  err(int,int=-1);
void  readFile(char*);
void  pass0();
void  pass1();
void  pass2();
void  pass3();
void  pass4();
bool  isCommand(char*,int&,int&);
bool  isLabel(char*,int&);

bool  isOperator(char*,int&);
bool  isRegister(char*,int&,int&);
bool  isDelimiter(char*);
int   ATOI(char*);
int   ATOI(const char*);


void  makeNAF(Program*);
void  makeNAFX(Program*);
void  makeFLUSH(Program*);
void  makeSPB(Program*);
void  makeBRU(Program*);
void  makeSKIP(Program*);
void  makeMOV(Program*);
void  makeINC(Program*);
void  makeDEC(Program*);
void  makeAND(Program*);
void  makeOR(Program*);
void  makeNOT(Program*);
void  makeRSH(Program*);
void  makeLSH(Program*);
void  makeMOD(Program*);
void  makeMUL(Program*);
void  makeDIV(Program*);
void  makeMERG(Program*);
void  makeOUT(Program*);
void  makePAR(Program*);
void  makeDLAY(Program*);
void  makeSETC(Program*);
void  makeCNAF(Program*);
void  makeIF(Program*);
void  makeROUT(Program*);
void  makeCROUT(Program*);
void  makeABORT(Program*);

int   makeClass2(Program* p,char*,char*,bool);

void  saveOut(char*);

int   main(int, char**);
